ImagickDraw::setVectorGraphics
ImagickDraw::skewX
The ImagickDraw class
PHP Manual

# ImagickDraw::setViewbox

(PECL imagick 2.0.0)

ImagickDraw::setViewbox — Sets the overall canvas size

### Description

bool ImagickDraw::setViewbox ( int `$x1` , int `$y1` , int `$x2` , int `$y2` )
Warning

This function is currently not documented; only its argument list is available.

Sets the overall canvas size to be recorded with the drawing vector data. Usually this will be specified using the same size as the canvas image. When the vector data is saved to SVG or MVG formats, the viewbox is use to specify the size of the canvas image that a viewer will render the vector data on.

### Parameters

`x1`

  left x coordinate

`y1`

  left y coordinate

`x2`

  right x coordinate

`y2`

  right y coordinate

### Return Values

No value is returned.

ImagickDraw::setVectorGraphics
ImagickDraw::skewX
The ImagickDraw class
PHP Manual